lkml.org 
[lkml]   [2001]   [Jan]   [9]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: Did anybody have compiled nvidia driver with 2.4.0. (final) kernel ?
From
Date
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 TRANSITIONAL//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=UTF-8">
<META NAME="GENERATOR" CONTENT="GtkHTML/0.8">
</HEAD>
<BODY><pre><br>
<br>
Yes I did<br>
<br>
It's not that difficult: I've got SuSE 7.0 with xfree86 4.0.2 (SuSE<br>
packages) and Kernel 2.4.0 final. Take the nvidia 0.9-5 tarballs. Unpack<br>
them. Apply this patch (attached patch &lt; patch... from within the<br>
NVIDIA_kernel directory):<br>
<br>
Okay, if you try to compile it complains about some unmap stuff. <br>
<br>
Open nv.c<br>
<br>
Go to line 860. Remove all the lines from and including the else<br>
expression. Go some lines up and remove the if expression looking for<br>
the right kernel version. Now, you have the declaration for the 2.4.0<br>
kernel, right. <br>
<br>
Save and exit<br>
<br>
Now do a make.<br>
<br>
For beeing sure copy the NVdriver to /lib/modules/2.4.0/video/NVdriver<br>
<br>
Try a modprobe NVdriver. With a lsmod it should appear now. Okay no<br>
configure X and glx as before.<br>
<br>
Works perfectly on my system<br>
<br>
Enjoy<br>
<br>
Marcel<br>
<br>
<br>
<br>
<br>
________________________________________________________________________<br>
<br>
Marcel Weber <br>
mmweber@ncpro.com <br>
http://www.ncpro.com <br>
<br>
<br>
Made and sent with Linux </pre><br>

<HR>
<h4>Marcel Weber
<br>
mmweber@ncpro.com
<br>
http://www.ncpro.com
<br>

<br>
</h4>
<h5>Made and sent with Linux </h5>
</BODY>
</HTML>
\
 
 \ /
  Last update: 2005-03-22 13:28    [W:0.026 / U:2.460 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site